package uim-qt3 (not installed) failed to install/upgrade: trying to overwrite '/usr/share/locale/ja/LC_MESSAGES/uim.mo', which is also in package libuim-data 1:1.5.6-0ubuntu1

Bug #460280 reported by yuko on 2009-10-25
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
uim (Ubuntu)
Low
Unassigned
Karmic
Undecided
Unassigned

Bug Description

Binary package hint: uim

An attempt to install the uim metapackage resulted in an 'Error: BrokenCount > 0'.

ProblemType: Package
Architecture: amd64
Date: Sun Oct 25 02:06:40 2009
DistroRelease: Ubuntu 9.10
ErrorMessage: trying to overwrite '/usr/share/locale/ja/LC_MESSAGES/uim.mo', which is also in package libuim-data 1:1.5.6-0ubuntu1
NonfreeKernelModules: nvidia
Package: uim-qt3 (not installed)
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: uim
Title: package uim-qt3 (not installed) failed to install/upgrade: trying to overwrite '/usr/share/locale/ja/LC_MESSAGES/uim.mo', which is also in package libuim-data 1:1.5.6-0ubuntu1
Uname: Linux 2.6.31-14-generic x86_64

Impact of the bug: this package cannot be installed, and gives an error during the upgrade

How the bug has been addressed: a patch has been retrofitted from Debian to not rename the mo file at build time, install the new mo file.

TEST CASE: run 'sudo apt-get install uim-qt3' will give a "Broken packages" error. When using the new package, uim-qt3 can be installed

Potential regression: the worst situation could be that uim-qt3 stop working (this is the only changed package), but as it's not installable right now, it can't be worst than the actual situation.

yuko (yuko-yuuneko) wrote :
Fabrice Coutadeur (fabricesp) wrote :

Confirmed: I made a mistake when I packaged this app, and the uim.mo file is duplicated...
Will fix it.

Changed in uim (Ubuntu):
assignee: nobody → fabrice_sp (fabricesp)
importance: Undecided → Low
status: New → Confirmed
status: Confirmed → In Progress
description: updated
Changed in uim (Ubuntu):
assignee: fabrice_sp (fabricesp) → nobody
status: In Progress → Triaged
John Dong (jdong) wrote :

ACK to the uim in karmic-proposed's queue. For now, for Universe packages, please continue to attach a debdiff in the bug report to facilitate review.

Accepted into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in uim (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package uim - 1:1.5.6-0ubuntu2

---------------
uim (1:1.5.6-0ubuntu2) lucid; urgency=low

  * 07_fix_configure_notoverwrite_po_makefile.dpatch: patch taken from Debian
    to avoid having 2 uim.mo in uim-qt3 and libuim-data (LP: #460280)
  * debian/uim-qt3.install: install uim-chardict-qt.mo instead of uim.mo

 -- Fabrice Coutadeur <email address hidden> Wed, 04 Nov 2009 05:19:29 +0000

Changed in uim (Ubuntu):
status: Triaged → Fix Released
Fabrice Coutadeur (fabricesp) wrote :

Hi,

I confirm that the package in -proposed can be installed, and therefore fix this bug.

thanks,
Fabrice

Martin Pitt (pitti) on 2009-11-30
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package uim - 1:1.5.6-0ubuntu1.1

---------------
uim (1:1.5.6-0ubuntu1.1) karmic-proposed; urgency=low

  * 07_fix_configure_notoverwrite_po_makefile.dpatch: patch taken from Debian
    to avoid having 2 uim.mo in uim-qt3 and libuim-data (LP: #460280)
  * debian/uim-qt3.install: install uim-chardict-qt.mo instead of uim.mo

 -- Fabrice Coutadeur <email address hidden> Wed, 04 Nov 2009 05:19:29 +0000

Changed in uim (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers